Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RSymbol Struct Reference

`#include <symbol.h>`

## Data Fields
struct RBasic | basic
st_index_t | hashval
VALUE | fstr
ID | id

## Detailed Description

Definition at line 26 of file symbol.h.

## Field Documentation

## ◆ basic

struct RBasic RSymbol::basic

Definition at line 27 of file symbol.h.

## ◆ fstr

VALUE RSymbol::fstr

Definition at line 29 of file symbol.h.

## ◆ hashval

st_index_t RSymbol::hashval

Definition at line 28 of file symbol.h.

## ◆ id

ID RSymbol::id

Definition at line 30 of file symbol.h.

The documentation for this struct was generated from the following file:

- symbol.h